## fretboard 9.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Fretboard. One of "default" or "development".'
)
option(
  'sandboxed',
  type : 'boolean',
  value : false,
  description: 'Whether the build happens in a sandbox.' +
               'When that is the case, cargo will not be able to download the dependencies during' +
               'the build so they are assumed to be in meson.project_source_root()/cargo'
)
