=== debian/changelog ===
fretboard (9.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:43:38 -0400

fretboard (9.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1104179)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 15:35:47 -0400
