=== debian/control ===
Source: fretboard
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 appstream <!nocheck>,
 blueprint-compiler,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.5),
 libglib2.0-dev (>= 2.76),
 meson,
 dh-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+blueprint-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+v4-16-dev,
 librust-gvdb-macros-0.1+default-dev (>= 0.1.12-~~),
# librust-i18n-format-0.2+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-7-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-rayon-1+default-dev (>= 1.7.0-~~),
 librust-serde-1+default-dev (>= 1.0.164-~~),
 librust-serde-1+derive-dev (>= 1.0.164-~~),
 librust-serde-json-1+default-dev (>= 1.0.99-~~)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Fretboard/
Vcs-Browser: https://salsa.debian.org/gnome-team/fretboard
Vcs-Git: https://salsa.debian.org/gnome-team/fretboard.git

Package: fretboard
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Guitar chord lookup app for GNOME
 Fretboard lets you find guitar chords by typing their names
 or by plotting them on an interactive guitar neck. When you
 have identified a chord, you can experiment with changing it,
 see more ways to play it, or bookmark it to save it for later.
 .
 Fretboard is a GNOME Circle app.
