=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/ \
https://api.github.com/repos/bragefuglseth/@PACKAGE@/tags?per_page=100 \
https://api.github.com/repos/bragefuglseth/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@
